/**
 * キャッシュファイルの情報を格納するクラス
 */
package org.logical_paradox.rss.lcmgr;


class CacheFileEntry {
	private final String filename;
	private final String url;
	private final int size;

	protected CacheFileEntry( LocalContents c, String fn ) {
		filename = fn;
		url = c.getURL();
		size = c.getContents().length();
	}
	protected int size() {
		return size;
	}
	protected String getURL() {
		return url;
	}
	protected String getFileName() {
		return filename;
	}
}

// end of CacheFileEntry.java
